Bug 69112 - Upon "kill -TERM", cluadmin doesn't fix terminal settings
Summary: Upon "kill -TERM", cluadmin doesn't fix terminal settings
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-17 22:12 UTC by Lon Hohberger
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-17 22:15:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:226 normal SHIPPED_LIVE Fixes for clumanager addressing starvation and service hangs 2002-10-08 04:00:00 UTC

Description Lon Hohberger 2002-07-17 22:12:13 UTC
Description of Problem:
Cluadmin, when killed from another tty (with a TERM signal) doesn't clean up the
terminal settings, causing the user to be forced to type 'reset' to fix them.

Version-Release number of selected component (if applicable):
CVS/Development

How Reproducible:
Always

Steps to Reproduce:
Run cluadmin in vc0, switch to vc1 and kill it.

Actual Results:
Need for "reset" after cluadmin exits!

Expected Results:
No need for "reset".

Comment 1 Lon Hohberger 2002-07-19 20:01:57 UTC
Fix in pool.


Note You need to log in before you can comment on or make changes to this bug.